• Dell Server Workstation iDRAC Dead after Firmware Update Solution R720, R320, R730


    This is certainly a poor design, as you can read many seasoned admins who have updated their iDRAC only to have it killed. One possible cause is not by doing all the incremental updates, doing updates from an old iDRAC to one many revisions newer is a sure way to kill things, but even then there is no guarantee based on the amount of failures. List of threads of people's dead iDRAC's:........
  • nvidia cannot resume from sleep Comm: nvidia-sleep.sh Tainted: Linux Ubuntu Mint Debian


    This seems to happen in many different drivers but it happened more often in newer versions such as 530 vs 525. Then nvidia-modeset goes to 100% There are many reports of this appearing since driver 4.70 and I can confirm I've seen this in various machines. https://forums.de........
  • Docker dockerd swarm high CPU usage cause solution


    If you have swarm services and dockerd is creating a high load even with the containers just being idle, the easiest solution is to upgrade to a newer docker version. For example an identical config of 3 nodes, with Redis 5 with 30 replicas produces a load of about 1.45 in Debian 10 with Docker18.09.1 If I create the same setup on Debian 11, with Docker 20.10.5+dfsg1 then the CPU usage is low. One other difference I wondered is the kernel. In my test setup........
  • How to Configure NVIDIA GPUs with Docker on Ubuntu: A Comprehensive Guide for AI Deep Learning CUDA Solution


    Welcome to our in-depth guide on configuring NVIDIA GPUs with Docker on Ubuntu. This post is tailored for developers, data scientists, and IT professionals who are looking to leverage the power of NVIDIA's GPU acceleration within Docker containers. Whether you're working on machine lea........
  • Internet Explorer Cannot Download File "Your security settings do not allow for this file to be downloaded." Security Settings Solution


    By default in most newer Windows installs, you will not be able to download files from "Internet" sites and you'll get this error "Your security settings do not allow for this file to be downloaded." Solution to Enable Downloads in IE Internet Explorer 1.) Go to Settings (button) -> Internet options -> Security (tab) 2.) Click "Internet" and then the "Custom Level" button. 3.) Find the following section and set D........
  • Linux How To Upgrade To The Latest Kernel Debian Mint Ubuntu


    How to check what kernel version you have/currently running? uname -rm 5.4.0-91-generic x86_64 The above shows us that we are running 5.4.0-91-generic on the x86_64 architecture. The safest way is to stick with the same flavor eg if you're on generic, and say on kernel 5.4.0 then it makes sense to follow what is below. However, if you are migrating or dual booting between newer hardware (eg. you got a........
  • request_module: runaway loop modprobe binfmt-464c Kernel panic - not syncing: No init found Pid: 1, comm: swapper/0 Not tainted solution


    request_module: runaway loop modprobe binfmt-464c Kernel panic - not syncing: No init found Pid: 1, comm: swapper/0 Not tainted This is usually caused by a mismatch in architecture and happens frequently in development environments. Here is a example of what caused this issue: Your binaries are based on one architecture Your kernel was compiled with another architecture. Why does this happe........
  • python3 error Ubuntu Linux error solution SyntaxError: invalid syntax line 12 pip{sys.version_info.major}


    This sort of thing normally happens your python3 or pip3 has been updated, because you have to in order to use pip, but the newer pip now breaks compatibility with your old python (3.5 in this case). There are a few solutions, the easiest is perhaps to upgrade to a newer OS with a newer distro provided Python 3 or to manually install a newer version of Python/OR use a PPA like deadsnakes that provides newer versions. ........
  • iptables NAT how to enable PPTP in newer Debian/Ubuntu/Mint Kernels Linux


    Remember that control connections are established on port 1723 and then actual data is transferred over GRE protocol 47. If you have a NAT setup this will work without special forwarding or accepting of GRE packets (normally if you are not blocking outgoing connections and accepting established and related connections). The below two commands will get things going so PPTP and GRE work We first load the ip_nat_pptp module which allows PPTP to work with........
  • Grandstream Phone Vulnerability Security Issue Remote Backdoor Connection to 207.246.119.209:3478


    Have you checked your router/firewall logs and disconcertingly see connections to an unknown IP207.246.119.209:3478 from your Grandstream VOIPphones? You're not alone and the Grandstream forums have discussed this issue. However, even their own staff d........
  • CentOS 7 / 8 cannot boot with with mdadm RAID array solution


    This article about migrating to a CentOS 7 /8 RAID mdadm array has a lot of info but I wanted to focus specifically on what newer versions of CentOS 7 require to boot mdadm and what changes are necessary on CentOS 7.8+ CentOS 7 / 8 mdadm RAID booting requirements This assumes you are chrooting into an existing install or using it to get a new deployment ready. However, these steps can........
  • RTL8821AU Setup Configure Wifi Realtek 8821 in Linux Debian Mint Ubuntu Howto


    The easiest way for the 8821AU Realtek Wifi chipset / TP-Link T2U Plus: Bus 002 Device 003: ID 2357:0120 TP-Link Archer T2U PLUS [RTL8821AU] First install your kernel headers/source/other required tools: sudo apt install linux-headers-`uname -r` make gcc bc Clone this github repo with the driver: git clone https://github.com/morrownr/8821au-20210708 Run the compile/ins........
  • LXC Containers LXD How to Install and Configure Tutorial Ubuntu Debian Mint


    If you are using mint, delete the preference that stops snap from installing (as it is required for lxc) sudo rm /etc/apt/preferences.d/nosnap.pref 1. Install lxd: sudo apt install lxd Issues install lxd or errors? Click here Debian at this time does not have lxd so you'll need to use snap: sudo apt in........
  • Docker Tutorial HowTo Install Docker, Use and Create Docker Container Images Clustering Swarm Mode Monitoring Service Hosting Provider


    The Best Docker Tutorial for Beginners We quickly explain the basic Docker concepts and show you how to do the most common tasks from starting your first container, to making custom images, a Docker Swarm Cluster Tutorial, docker compose and Docker buildfiles.........
  • How To Create OpenVPN Server for Secure Remote Corporate Access in Linux Debian/Mint/Ubuntu with client public key authentication


    Why choose OpenVPN instead of a firewall appliance? OpenVPN can be a reliable and easy replacement for traditional hardware or just be an additional tool that your company uses so that the firewall can focus on its job rather than acting as a VPNappliance at the same time. When comparing OpenVPN with traditional firewal........
  • How to allow SSH root user access in Linux/Debian/Mint/RHEL/Ubuntu/CentOS


    A lot of newer installs will automatically prohibit the root user from logging in directly, for security reasons or they will only allow key based access. If you know what you are doing/don't care about security or have an incredibly secure password for testing, then you can enable it. Edit this file: /etc/ssh/sshd_config Find the following line: PermitRootLogin Set it like this: PermitRootLogin yes Now rest........
  • Proxmox Guide FAQ / Errors / Howto


    How To Enable HA in Proxmox Test Your HA Shutdown the node that has the HA VM. ........
  • Virtualbox Vbox Issue Cannot Enable Nested Virtualization Button is Grayed/Greyed Out and Unclickable HowTo Solution


    In newer of versions of Virtualbox, especially above 6.0 (eg. 6.1 like the example below), a lot of times the "Enable Nested VT-x/AMD-V". If you are having this issue, you will see the option is grayed out. It doesn't mean that your computer does not support virtualization, although it is possible it is disabled in the BIOS. You can verify........
  • SSH cannot connect to old servers/devices/switches/routers/Cisco/Juniper Unable to negotiate with 192.168.20.2 port 22: no matching key exchange method found. Their offer: diffie-hellman-group-exchange-sha1,diffie-hellman-group14-sha1,diffie-hell


    A lot of older devices either support telnet or very old SSH keyx algorithms which are insecure and disabled by all newer/modern SSH clients for security reasons. However, sometimes you may be on a LAN via VPNor some other secured network or for whatever reason, absolutely, need to connect to this device and sometimes old/embedded devices may not be possible to update to a newer SSH server. If you run into this you may be using a modern/newer SSH client and get thi........
  • Linux Mint / Ubuntu 20 Intel I219 NIC disconnects


    If you are using the stock 5.4 kernel this is normal but I can confirm it is fixed in newer 5.8 kernels. To fix it just install the 5.8 kernel and reboot: sudo apt install linux-headers-5.8.0-64-generic linux-modules-extra-5.8.0-64-generic linux-image-5.8.0-64-generic........
  • EFI PXE grub2 Howto guide for Linux EFI PXE Booting on Debian, Mint, Ubuntu, RHEL


    Just a quick note and warning is that if you are testing to see if EFIPXE booting works on a VM, MAKE SURE it actually works. For example Iinitially tested using my Distro's QEMU 2.5+dfsg-5ubuntu10.46 and ovmf BIOS firmware (OVMF supports EFI). However, I found on old versions of QEMU (like 2.5), EFIbooting with GRUB NEVER works so it may appear that you have made a mistake when everything is fine when you boot a physi........
  • kdenlive full reset how to erase all config files


    kdenlive is VERY finicky especially if using an older or newer version it can cause crashes, menus not to work, features not to work, things not to work properly. A good example is that Icould NOT get automask to work, there would be no box to control it until I did this full reset. One caution is that your backup project files will be erased when doing this: How to Reset kdenlive entirely rm ~/.config/kdenlive-layoutsrc rm........
  • Scanner not working in Linux Ubuntu Fedora Mint Debian over the network? Use sane-airscan!


    I have a Canon MF642c and the scanner wouldn't work. I tried to use saned but it didn't work with the BJNPlike it did for some other Canon models. Introducing sane-airscan with packages for the most common distributions: https://software.opensuse.org/download.html?project=home%3Apzz&package=sane-airscan http........
  • Linux Mint Ubuntu Debian CentOS Dual Boot Install Issues


    The best way to avoid this problem is to understand how your BIOS is setup to boot. Often newer machines will default to U(EFI) which is different than the traditional MBR/Legacy mode. The problem is that this may not be apparent, often a BIOS Boot Menu will show a Legacy Boot Option and EFIOption without defining it. A good example of this is if your USB is called "Kingston" you may see in your Boot Menu "Kingston" and also "Ubuntu"........
  • Linux Mint/Debian/Ubuntu/Centos Installer black grub screen and blank screen after trying to boot installer or main OS


    This happens to a lot of Nvidia users especially users of newer cards like the RTX series. If for example you are trying to boot and install Linux and you get a black and white grub2 screen instead of a nice graphical welcome installer, you probably suffer from this bug. It is normally followed by the user booting and finding they just have a blank/black screen. Here is the quick flow of steps to fix it: If you get a black grub scree........
  • How To Password Reset, Recover, Bypass, Remove and Unlock on Windows 10,8,7,Vista,XP,NT,2000,2003,2008,2012,2016,2019 Administrative Login Programs


    If you've come here, don't be embarraassed, working in IT, this is the MOST common computer problem that almost everyone will encounter. The reason why I'm doing this post is because I've seen an increase from colleagues and admins having this problem and many times it's not even your fault. A common scenario is that someone acquires a new or used computer which they weren't given the password for. Fortunately Ihave a detailed list of all the options whether free or pa........
  • "This kernel requires the following features not present on the CPU: cmov Unable to boot - please use a kernel appropriate for your CPU.


    You should only get this if you are using a Pentium II or something really old. The problem here is that newer kernels than 2.6 don't have true i386 support even if you tell it to compile as i386. It will still include features like cmov that break older computers from being able to work. Generally for very old computers like above, you need to use a 2.6.x kernel and of course make sure it is i386 and all the binaries are as well. ........
  • CentOS 6 impossible to compile a newer libguestfs


    yum -y install gcc make gperf genisoimage flex bison ncurses ncurses-devel pcre-devel augeas-devel augeas readline-devel checking for cpio... cpio checking for gperf... no configure: error: gperf must be installed configure: error: Package requirements (augeas >= 1.2.0) were not met: Requested 'augeas >= 1.2.0' but version of augeas is 1.0.0 yum remove augeas augeas-libs augeas-devel wget http://downl........
  • chroot


    chroot /root/kvmguests/4591915/mount FATAL: kernel too old This happens for example if you are in Centos 6 and trying to chroot into a system based on a newer kernel like 4.x+ You'll have to use a newer OS/kernel system to chroot into the environment or a VM running a newer kernel.........
  • How To Get Started on Ubuntu with gpt-2 OpenAI Text Prediction


    apt install software-properties-common add-apt-repository ppa:deadsnakes/ppa apt update apt install python3-pip apt install python3.7 curl gnupg python3.7-dev git ln -s /usr/bin/python3.7 /usr/bin/python3 pip3 install numpy keras_preprocessing curl https://bazel.build/bazel-release.pub.gpg | sudo apt-key add - echo "deb [arch=amd64] http://storage.googleapis.com/bazel-apt stable jdk1.8" | sudo tee /etc/apt/sources.list.d/bazel........
  • Linux How To Change NIC Name to eth0 instead of enps33 or enp0s25


    Most newer distros inexplicably cause your NIC to have what Icall "random" non-standard name conventions because of systemd. This is a big problem for many people and especially those running servers. Imagine that you have a static IPconfigured for ens33 but then the hard disk is moved to a newer system, the NIC could be anything from ens33 to enp0s1, meaning that manual intervention is required to go and update the NIC config file (eg. /etc/network/interfa........
  • How To Install python 3.4 3.5 and up on Linux with wine - Working Solution


    This is sure simple if you follow the guide but it took a lot of hacking around to make this work on Debian/Ubuntu! Now before you ask why bother running wine and python, the reason is because Python executables are NOT cross-platform. If you run pyinstaller in Linux, that binary will only run on Linux and the same if you do it in Windows. So it is preferable if you have a single environment that you can create Linux and Windows binaries from rather than running 2 separate........
  • Howto Set Static IP on boot in initramfs for dropbear or other purposes NFS, Linux, Debian, Ubuntu, CentOS


    This is only really necessary in the case you don't want DHCP. If you are dealing with an encrypted LUKS server on the internet, you will often want to have a static IP so you know which IP to connect to (or if you have a semi-static IP assigned by DHCP). SET IP Address by /etc/initramfs-tools/initramfs.conf IP Address=192.168.1.27 Gateway=192.168.1.1 Subnet Mask: 255.255.255.0 Hostname=myhome.com IP=192.1........
  • ssh how to connect using a SOCKS 5 proxy with nc and proxycommand


    This is not about using ssh as a proxy, but rather, using a proxy when you are SSHing to another host and using ProxyCommand (where we normally use nc as our proxy tool). In newer versions of nc the syntax has changed to the following: ssh -o ProxyCommand="nc -x 127.0.0.1:1234" %h %p user@host The format must be like above in newer nc versions. Just be sure to change the 1234 to the port of your SOC........
  • qemu-kvm error "Could not initialize SDL(No available video device) - exiting"


    Now older versions of qemu-kvm didn't throw this error say if you just had "-video cirrus" when starting qemu-kvm. But newer versions do care. And this probably only applies to you if you are running from bash/terminal with remote kvm images. What you need to do is remove the "-video" part and just add -vnc :5 eg. this would fix the error: qemu-system-x86_64 -enable-kvm -boot order=cd,once=dc -m 1024 -drive........
  • ssh how to verify your host key / avoid MIM attacks


    SSH helps keep us secure in many ways, one of those is the host-key fingerprint which is unique. If you have been connecting to an SSH server that you've made no changes to and suddenly ssh warns that the key doesn't match then you have a problem. But how about connecting to an existing server for the first time on a new machine or client? A lot of new clients calculate it using an SHA256 hash but it is not as easy on your host machine to produce the sam........
  • Firefox Cannot Hit Enter Key In Address Bar and Location History Not Working


    Opening Firefox from the CLI reveals the following as the cause of the error: Query failed: Error: Error(s) encountered during statement execution: no such table: moz_favicons The symptoms of this issue are that in the address bar you cannot hit enter to browse to a site/url/address and your history cannot be accessed, nor does your history show up in the address bar when typing previously used addresses. This usually happens because you've........
  • X11 SSH Linux Forwarding Error


    Jan 30 17:16:10 localhost sshd[25385]: error: Failed to allocate internet-domain X11 display socket. The solution for me on the server side was the following in sshd_config: AddressFamily inet *Remember to restart sshd and also reconnect from the client side. Ihad all the normal X11 settings on the server but it just stopped........
  • How to download gajim 0.16.9 XMPP/Jabber client so you can use OMEMO encryption


    #Linux Mint 18.2 how to install gajim .16.9 so you can use OMEMO encryption: sudo apt-get install python-axolotl python-nbxmpp wget https://gajim.org/downloads/0.16/gajim-0.16.9.tar.gz tar -zxvf gajim-0.16.9.tar.gz cd gajim-0.16.9 ./autogen.sh ;make;sudo make install #if you get this error you need to get a newer python-nbxmpp from here: gajim Gajim needs python-nbxmpp >= 0.6.1 to run. Quiting...........
  • HP DL385 G7 Linux BIOS Update Flash


    wget https://downloads.linux.hpe.com/repo/spp/rhel/6/x86_64/current/CP017004.scexe --2018-08-16 05:11:16-- https://downloads.linux.hpe.com/repo/spp/rhel/6/x86_64/current/CP017004.scexe Resolving downloads.linux.hpe.com (downloads.linux.hpe.com)... 15.249.152.85 Connecting to downloads.linux.hpe.com (downloads.linux.hpe.com)|15.249.152.85|:443... connected. HTTP request sent, awaiting response... 200 OK Length: 1525561 (1.5........
  • OpenVPN auth-user-pass-verify ENV script error


    Starting with newer versions of OpenVPN Ibelieve 2.2+ you need to have "script-security 3" set or you can't execute a third party script. Prior to that you could also use the auth-user-pass-verify like this: auth-user-pass-verify ./validate.pl "$username $password $ip" via-env Options error: the --auth-user-pass-verify directive should have at most 2 parameters. To pass a list of arguments as one of the paramete........
  • curl: (35) Unknown SSL protocol error in connection Solution Centos


    curl: (35) Unknown SSL protocol error in connection The main solution is to update curl and nss. If you are having an issue with curl through Apache/PHPyou will need to restart PHPafter. It's important to remember that this error could mean a lot of things but most often it simply means that curl and openssl may be outdated and only allow newer secure ways of connecting to SSL. In general here is how you would fix it in most c........
  • Installing SSL Certificate with Chain Intermediary CA File


    Some of the cheaper or newer SSL suppliers will require this to work properly (otherwise you may be prompted that the cert is invalid when it's not the case but it will certainly scare off your users!). In the Apache vhost conf for the domain here is what you add: SSLCACertificateFile /path/to/your/cafile.pem Here is a full example of an SSL Vhost config in Apache using a CA Certificate file ........
  • Unable to negotiate with 192.168.1.99 port 22: no matching host key type found. Their offer: ssh-dss Solution


    ssh rtt@192.168.1.199 Unable to negotiate with 192.168.1.99 port 22: no matching host key type found. Their offer: ssh-dss It looks like the DSS option is not considered secure so when connecting from newer Linux systems to an older one you will get the above error. It can be fixed (but you should consider upgrading your SSH daemon): ssh -oHostKeyAlgorithms=+ssh-dss rtt@192.168.1.199........
  • Centos How To Update to Glibc 2.14 Plus


    Centos 6 requires GLIBC 2.12 however a lot of new programs you would want to compile may need a newer glibc. You can't remove the old glibc since the whole OS is based on it but you can install the updated glibc alongside it and do an export pointing to your updated GLIBC. mkdir ~/glibc_install; cd ~/glibc_install wget http://ftp.gnu.org/gnu/glibc/glibc-2.14.tar.gz........
  • pcimodules and lspci not working alternative solution


    pcimodules no longer works it produces nothing probably because the format of /sys/bus/pci is different. lspci -k doesn't work on older lspci versions. pciutils can be compiled but it won't work if you have an old system and compile on a newer glibc. iteriate through /sys/bus/pci/devices/*/modalias cat /sys/bus/pci/devices/*/modalias pci:v00008086d00001237sv00000000sd00000000bc06sc00i00 pci:v00008086d00007000sv0000000........
  • Migrate Centos 7 from Single HDD to mdadm RAID 10 array:


    Done on Centos 7.3 very important as clearly based on older guides it was a lot easier and more simpler! Hint do not use grub2-install! If you have trouble booting after this check this CentOS mdadm RAID booting/fixing guide. One huge caveat if you are an oldschool user or sysadmin who has avoided UEFIbooting The nor........
  • USB 3.0 External HDD Enclosure Seagate UAS problems - [sdd] tag#1 CDB: Write(16) 8a 00 00 00 00 01 70 04 08 68 00 00 00 08 00 00


    This is a 8TB Seagate external USB 3.0 device apparently newer kernels use a module called "UAS" instead of "USB Storage" which causes issues as a lot of devices are not properly supported in UAS mode by the kernel driver. The solution some say is to disable UAS specifically for your USB device but I'd rather just disable UAS altogether. Solution blacklist UAS: *do not do this it does not work and just causes your USB 3.0........
  • Centos 7 Cudaminer Nvidia setup guide


    I am using a GTX 1060 but replace the download for the driver with the correct/current version for your particular card by visiting: http://www.nvidia.com/Download/index.aspx?lang=en-us yum install automake curl openssl-devel libcurl-devel gcc gcc-c++ yum -y install kernel-devel-`uname -r` yum -y install unzip #the........
  • Why won't my Linux Mint boot after I manually installed a new kernel?


    Why won't my Linux Mint boot after I manually installed a new kernel? eg. apt-get install linux-image-newerone Do this dpkg -l|grep linux-image|grep extra ii linux-image-extra-3.16.0-38-generic 3.16.0-38.52~14.04.1&nb........
  • PHP Parse error: syntax error, unexpected '[' in phpBB3/vendor/react/promise/src/functions.php on line 15


    The solution is simple this happens if you don't meet the requirements. In my case PHP 5.4 was required but I had PHP 5.3 installed. Once I installed a newer version the install of PHPBB was successful.........
  • Centos 5 OpenSSL does not support TLS 1.2 Apache Error


    [Thu Jan 26 14:13:31 2017] [notice] caught SIGTERM, shutting down [Thu Jan 26 14:14:00 2017] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec) [Thu Jan 26 14:14:00 2017] [error] Server certificate is expired: 'Server-Cert' [Thu Jan 26 14:14:00 2017] [notice] SSL FIPS mode disabled [Thu Jan 26 14:14:07 2017] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin/suexec) [Thu Jan 26 14:14:07 2017] [error] Server certificate is expired: 'Server-Ce........
  • Ubuntu/Debian OpenVZ Template Problems No Networking and SSH not starting


    It all comes down to a bug essentially where you are running an older kernel that doesn't support the newer Debian templates. The solution is to update your OpenVZ kernel. Here are some symptoms of the problem/lack of kernel support: Ubuntu Template 12.04 requires a manual network start: service networking start sshd will not start: /usr/sbin/sshd PRNG is not seeded mknod /dev/random c 1 8........
  • There was a problem importing one of the Python modules required to run yum. The error leading to this problem was:


    There was a problem importing one of the Python modules required to run yum. The error leading to this problem was: No module named yum Please install a package which provides this module, or verify that the module is installed correctly. It's possible that the above module doesn't match the current version of Python, which is: 2.7.9 (default, Apr 21 2016, 16:51:58) [GCC 4.4.7 20120313........
  • Cannot load /etc/httpd/modules/mod_file_cache.so into server: /etc/httpd/modules/mod_file_cache.so:


    Stopping httpd: [FAILED] Starting httpd: httpd: Syntax error on line 73 of /etc/httpd/conf/httpd.conf: Cannot load /etc/httpd/modules/mod_file_cache.so into server: /etc/httpd/modules/mod_file_cache.so: cannot open shared obje........
  • Avocent 8020 KVM Java Icedtea Viewer


    This command in Debian/Ubuntu/Mint will get everything need installed for most Java based KVM viewers: sudo apt install icedtea-netx The following additional packages will be installed: ca-certificates-java icedtea-netx-common openjdk-8-jre openjdk-8-jre-headless It seems every other updated version of Java or Icedtea breaks things and I will save the frustration of Java for another post.........
  • Virtualbox Error


    In plain English this happens after you upgrade VBOX and it rebuilds kernel modules based on a newer kernel than you are running (eg. you upgraded your kernel but haven't booted into it). It is too bad there is not a standard work around that would allow it to realize this and keep old kernel modules and use them if it detects your current kernel is older than the most recently build modules. =============== RTR3InitEx failed with rc=-1912 (rc=-1912) The........
  • Debian 8 Jessie in Linux OpenVZ Container does not work on Centos host


    It sounds like this is corrected in later versions of the OpenVZ kernel but Iam not sure, it may also be that a much newer kernel is needed and Centos may not have a recent enough kernel. *Debain 7.0 however does work fine as a temporary fix or work around. Debian 8 OpenVZ no IP and networking not working: lo Link encap:Local Loopback  ........
  • How To Install Linux Mint 17.2 on mdadm RAID with a separate boot partition


    Iwas surprised to see that Linux Mint at the latest 17.2 version still has NO mdadm installer option, and worse the installer will not be able to create a proper booting environment even when you do install it. How to setup mdadm in Linux mint LiveCD sudo su apt-get install mdadm # partition as you need and then create your mdadm devices # create your SWAP md0 mdadm --create /dev/md0 --level=1 --raid-devices=2 /dev/sda1 /d........
  • tar do not overwrite files


    It is as simple as using the "-k" option for: -k, --keep-old-files don't replace existing files when extracting --keep-newer-files don't replace existing files that are newer than thei........
  • No package fuse-encfs available. yum


    It looks like newer versions of Centos no longer have encfs so you have to compile it, only it does not work and fails so those wanting encfs should probably use any other OS which supports it better.........
  • OpenVZ vzctl update changes how iptables work - iptables v1.3.5: can't initialize iptables table `nat': Table does not exist (do you need to insmod?) Perhaps iptables or your kernel needs to be upgraded. updated solution


    Are you getting the same old error message even though your iptables settings for OpenVZ are correct? iptables v1.3.5: can't initialize iptables table `nat': Table does not exist (do you need to insmod?) Perhaps iptables or your kernel needs to be upgraded. The reason is because in newer vzctl the old way of setting IPTABLES="" in vz.conf is completely deprecated (I spent some time fiddling wondering why my settings were correct but........
  • Cannot mount iPhone or iPad in Linux


    Unable to mount iPad 4 Unhandled Lockdown error (-4) This is because you need the libimobiledevice-utils package installed and a newer version of it. My older Ubuntu 10.10 uses a version that does not have "idevicepair" which seems to work perfectly and automatically with newer versions of the library. Basically if you install the above library it should be plug and play and if your imobiledevice-utils doesn't have 'idevice........
  • drbd won't sync 8.3.13 on OpenVZ kernel


    I used the matching 8.3.13 utilities and it didn't work but strangely the newer 8.3.16 which makes DRBD complain works just fine. GIT-hash: 83ca112086600faacab2f157bc5a9324f7bd7f77 build by root@sighted, 2012-10-09 12:47:51  0: cs:SyncSource ro:Secondary/Primary ds:UpToDate/Inconsistent A r-----     ns:0 nr:0 dw:0 dr:0 al:0 bm:0 lo:0 pe:0 ua:0 ap:0 ep:1 wo:b oos:5236960   &am........
  • PHP Warning: imagecreatefromjpeg(): gd-jpeg, libjpeg: recoverable error: Premature end of JPEG file


    I was having an issue with only certain random/jpeg files with the functions imagecreatefromjpeg imagecreatetruecolor and other related ones. This issue was annoying basically it seems like a libgd issue/bug with newer versions of PHP and it was difficult to trace-out. One very useful thing that helped me was using "php-cgi" and passing the query string as an argument eg: php-cgi images.php source=IMG.jpg (that way you get all the error messages wh........
  • Centos how to upgrade from PHP 5.2 to 5.3 without downtime


    This may sound silly but there will be conflicts/issues with the default Centos repository so you have to use a third party like remi (I prefer not to do this but it's the only option unless you migrate your sites/data to another server or can stand some downtime-not an option IMHOon a production server). You may need to upgrade to PHP5.3 to run Joomla or many other reasons. Your host needs to use PHP 5.2.4 or higher to run this version of Jo........
  • wget download all files on page/directory automatically recursively


    Have you ever found a website/page that has several or perhaps dozens, hundreds or thousands of files that you need downloaded but don't have the time to manually do it? wget's recursive function called with -r does that, but also with some quirks to be warned about. If you're doing it from a standard web based directory structure, you will notice there is still a link to .. and wget will follow that. Eg. let's say you have files in http://serverip/documen........
  • Openvz YUM Error Solution to "[Errno -1] Metadata file does not match checksum Trying other mirror."


    It's weird because I have a nearly identical box and setup and I can update the ovzkernel-PAE* just fine but on this box it doesn't work. I only get this error with the openvz.repo and not others such as Centos-Base.repo With my other server it works normally: ================ Setting up Update Process Resolving Dependencies --> Running transaction check ---> Package ovzkernel-PAE.i686 0:2.6.18-238.12.1.el5.0........
  • Installing Webmin & Enabling SSL


    Webmin Setup Centos 5: wget http://downloads.sourceforge.net/project/webadmin/webmin/1.530/webmin-1.530-1.noarch.rpm?r=http%3A%2F%2Fwww.webmin.com%2Fstandard.html&ts=1294339690&use_mirror=surfnet [1] 24229 [2] 24230 [root@host ~]# --2011-01-06 21:48:20-- http://downloads.sourceforge.net/project/webadmin/webmin/1.530/webmin-1.530-1.noarch.rpm?r=http%3A%2F%2Fwww.webmin.com%2Fstandard.html Resolving downloads.sourceforge.net... 216.34.181.........
  • VMWare Server is on SSL port 8333


    I'm mentioning this because I keep forgetting what port the management is on for the web interface (since newer releases of VMWare server took away the superior stand alone client). So remember it is port 8333 and sometimes you need to restart vmware-mgmt service and also enable sslv2 in your Firefox or it won't connect.........
  • VirtualBox Convert Import/Boot .vmdk VMWare Hard Disk/Drive Image Won't Work


    I wanted to Import/Use a .vmdk hard disk image file from VMWare. Generally you can just "point" VirtualBox to it and use it and it will work but I found an exception. One of my Centos 4.4 x64 images wouldn't boot. I had two copies, an older one and the newer one. The older one booted as normal (once I changed the VirtualBox driver to IDE from SATA). The newer one stopped at the "GRUB loading" message no matter what I tried. As far as........
  • VirtualBox some USB passthrough devices greyed/grayed out unavailable solution


    The solution is simple but it's a wonder why VBOX doesn't address it directly? Perhaps newer versions will but you have to add your user to the "vboxusers" group and then login and logout and you'll see the devices you wanted but couldn't access are now available. The weird thing is that the grayed out issue doesn't happen with all devcies but one notable thing is the Apple iPhone especially in DFU or Recovery Mode which is an big issue for some people.........
  • EOL for Kubuntu/Ubuntu 8.04 - W: Failed to fetch http://ca.archive.ubuntu.com/ubuntu/dists/intrepid/universe/source/Sources.gz 404 Not Found [IP: 91.189.92.171 80]


    I couldn't figure out whyI couldn't install a simple package. This is what's annoying about cutting edge Debian distros, yes we know you support each license on average for 1-2 years but why take down the supporting binary packages and basically disable the older versions? sudo apt-get install update Reading package lists... Done Building dependency tree Reading state information... Done E: Couldn't find p........
  • Debian 5.04 RAID 1 mdadm boot problem GRUB error


    I successfully created a single RAID 1 partition which includes /boot inside it and my root directory through the Debian installer. It said GRUB installed successfully but when I try booting the OS it seems GRUB can't read anything. When trying to boot from GRUB GRUB Loading stage 1.5. GRUB loading, please wait... Error 2 I get "Error 2" when trying to boot Debian. I also notice from a LiveCD that........
  • chroot into an off-line Linux version using a LiveCD/USB


    It's not just as simple as running the chroot command, you need to ensure the /proc and /dev entries are passed through and populated to the chroot environment. Step 1 - Mount Your Off-lineOS mount /dev/sda1 /mnt Step 2 - Mount Proc mount -t proc none /mnt/proc Step 3 - Mount Dev Most guides will tell you to use this: mount -o bind /dev /mnt//dev but that doesn't work for some reason in many cases: mount: wron........
  • Choose Which GCC Version to compile with via CC environment variable.


    It's very common to have multiple GCC versions for different reasons, as annoying as it is. Some newer/older programs only compile properly or at all on specific versions. You can export the following variable CC: export CC=gcc-4.1 Replace gcc-4.1 with the filename of the gcc you want eg. gcc-99........
  • Need identd for port 113 ? Install authd


    Need identd for port 113 ? Install authdyum install authd Happy identing :)Actually it's not that simple. It installs as an "xinetd" service and is disabled and turned off by deafult. To enable it run: [code:1:8c94df8319] chkconfig --level 3 auth on service xinetd restart [/code:1:8c94df8319] This will set identd aka authd to start by default. service xinetd resta........
  • Linux Kernel Error (2.6.33.1) BUG: Bad page state in process swapper - Keeps rebooting - initramfs bug


    *This is a bug with initramfs support, all kernels after around 2.6.27.54 suffer from this problem. If you try to include initramfs into your kernel (I mean actually building your binaries into the kernel) this will always happen. Obviously some code has changed in recent kernels that is present in all new kernels, it makes it impossible to boot I've tried the latest 2.6.32, 2.6.33, 2.6.34, 2.6.35, 2.6.36, 2.6.37, 2.6.38 kernels and they all do this. I found one bug re........
  • How to Track Down/Find Cause of Linux high disk iowait/wa


    top - 09:34:12 up 2 days, 20:57, 2 users, load average: 1.83, 1.99, 2.03 Tasks: 59 total, 2 running, 57 sleeping, 0 stopped, 0 zombie Cpu(s): 0.3%us, 0.0%sy, 0.0%ni, 0.0%id, 99.7%wa, 0.0%hi, 0.0%si, 0.0%st That 99.7% wa is iowait, it means the server is waiting for a process to complete an IOoperation or in plain English, there is a delay in........
  • Latest Articles

  • How to resize a pdf without losing much quality in Linux Mint Ubuntu Debian Redhat Solution
  • qemu: could not load PC BIOS 'bios-256k.bin' solution
  • Proxmox How To Custom Partition During Install
  • Hyper-V Linux VM Boots to Black Screen, Storage, NIC Not Found Issues
  • Ubuntu Mint How to Fix Missing/Broken /dev and /dev/pts which causes terminal to immediately close exit and not work
  • How high can a Xeon CPU get?
  • bash fix PATH environment variable "command not found" solution
  • Ubuntu Linux Mint Debian Redhat Youtube Cannot Play HD or 4K videos, dropped frames or high CPU usage with Nvidia or AMD Driver
  • hostapd example configuration for high speed AC on 5GHz using WPA2
  • hostapd how to enable and use WPS to connect wireless devices like printers
  • Dell Server Workstation iDRAC Dead after Firmware Update Solution R720, R320, R730
  • Cloned VM/Server/Computer in Linux won't boot and goes to initramfs busybox Solution
  • How To Add Windows 7 8 10 11 to GRUB Boot List Dual Booting
  • How to configure OpenDKIM on Linux with Postfix and setup bind zonefile
  • Debian Ubuntu 10/11/12 Linux how to get tftpd-hpa server setup tutorial
  • efibootmgr: option requires an argument -- 'd' efibootmgr version 15 grub-install.real: error: efibootmgr failed to register the boot entry: Operation not permitted.
  • Apache Error Won't start SSL Cert Issue Solution Unable to configure verify locations for client authentication SSL Library Error: 151441510 error:0906D066:PEM routines:PEM_read_bio:bad end line SSL Library Error: 185090057 error:0B084009:x509 certif
  • Linux Debian Mint Ubuntu Bridge br0 gets random IP
  • redis requirements
  • How to kill a docker swarm